/**
 *    author:  [itmo] enot110
 *    created: 2024-11-10 13:43:36
**/
#include <bits/stdc++.h>

#define F first
#define S second
#define pb push_back
#define forn(i, n) for(int i = 0 ; (i) < (n) ; ++i)
#define eprintf(...) fprintf(stderr, __VA_ARGS__),fflush(stderr)
#define sz(a) ((int)(a).size())
#define all(a) (a).begin(),a.end()
#define pw(x) (1LL<<(x))

using namespace std;

typedef long long ll;
typedef double dbl;
typedef vector<int> vi;
typedef pair<int, int> pi;

const int inf = 1.01e9;
const dbl eps = 1e-9;

/* --- main part --- */


const int N = 1e5 + 10;

pi a[N];


int main()
{
    #ifdef home
        assert(freopen("in", "r", stdin));
        // assert(freopen("out", "w", stdout));
    #endif
    int tn;
    scanf("%d", &tn);
    forn(tt, tn)
    {
        int n;
        scanf("%d", &n);
        forn(i, n) scanf("%d", &a[i].S);
        forn(i, n) scanf("%d", &a[i].F);
        sort(a, a + n);
        int ok = 1;
        forn(i, n) if (a[i].S > a[i].F) ok = 0;
        reverse(a, a + n);
        for (int i = 1; i < n; i++)
        {
            if (a[i].F - a[i].S > a[i - 1].F - a[i - 1].S) ok = 0;
            if (a[i].S > a[i - 1].S) ok = 0;
        }
        if (ok) printf("%d\n", a[0].F - a[0].S);
        else printf("-1\n");
    }


    #ifdef home
        eprintf("time = %d ms\n", (int)(clock() * 1000. / CLOCKS_PER_SEC));
    #endif
    return 0;
}